DatasetRw
Deprecated - Get datasets accessible to user
Deprecated: Use GetDatasetsV2. Get Datasets that a user has access to
GET
/
api
/
datasetrw
/
v1
/
datasets
Deprecated - Get datasets accessible to user
curl --request GET \
--url https://mycluster.domino.tech/api/datasetrw/v1/datasets \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/datasetrw/v1/datasets"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/datasetrw/v1/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"datasets": [
{
"createdAt": "2022-03-12T02:13:44.467Z",
"id": "62313ce67a0af0281c01a6a5",
"name": "My Dataset",
"snapshotIds": [
"<string>"
],
"tags": {
"bar": "62313ce67a0af0281c01a6a5",
"foo": "62313ce67a0af0281c01a6a5"
},
"description": "<string>",
"projectId": "62313ce67a0af0281c01a6a5"
}
],
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>",
"limit": 123,
"offset": 123,
"totalCount": 123
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Query Parameters
Project ID filter
How many Datasets from the start to skip. Defaults to 0.
Max number of Datasets to fetch. Defaults to 10.
Last modified on June 26, 2026
Related topics
Get all Gen AI endpoints accessible by the userGet all organizations. Only accessible to admin users.Datasets administrationClinical Data ExplorerWas this page helpful?
⌘I
Deprecated - Get datasets accessible to user
